package com.willalp.consume.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 订餐消费维护对象 pns_consume_maintain
 *
 * @author willalp
 * @date 2021-12-02
 */

@TableName("pns_consume_maintain")
public class ConsumeMaintain extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String id;

    /** 发送日期 */
    @Excel(name = "发送日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendTime;

    /** 发送状态(1:已发送0:未发送) */
    @Excel(name = "发送状态(1:已发送0:未发送)")
    private Integer sendStatus;

    /** 描述 */
    @Excel(name = "描述")
    private String describeInfo;

    /** 是否定时发送(1:是0:否) */
    @Excel(name = "是否定时发送(1:是0:否)")
    private Integer isTiming;

    /** 菜单编号 */
    @Excel(name = "菜单编号")
    private String menuNumber;

    /** 开始时间 */
    @Excel(name = "开始时间")
    private String beginDate;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String endDate;

    /** 是否删除(1:是,0:否) */
    @Excel(name = "是否删除(1:是,0:否)")
    @TableLogic
    private Integer isDelete;

    @TableField(exist = false)
    private List<String> organizations;

    @TableField(exist = false)
    private String menuName;

    private String organizationCode;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setSendTime(Date sendTime)
    {
        this.sendTime = sendTime;
    }

    public Date getSendTime()
    {
        return sendTime;
    }
    public void setSendStatus(Integer sendStatus)
    {
        this.sendStatus = sendStatus;
    }

    public Integer getSendStatus()
    {
        return sendStatus;
    }
    public void setDescribeInfo(String describeInfo)
    {
        this.describeInfo = describeInfo;
    }

    public String getDescribeInfo()
    {
        return describeInfo;
    }
    public void setIsTiming(Integer isTiming)
    {
        this.isTiming = isTiming;
    }

    public Integer getIsTiming()
    {
        return isTiming;
    }
    public void setMenuNumber(String menuNumber)
    {
        this.menuNumber = menuNumber;
    }

    public String getMenuNumber()
    {
        return menuNumber;
    }
    public void setBeginDate(String beginDate)
    {
        this.beginDate = beginDate;
    }

    public String getBeginDate()
    {
        return beginDate;
    }
    public void setEndDate(String endDate)
    {
        this.endDate = endDate;
    }

    public String getEndDate()
    {
        return endDate;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    public List<String> getOrganizations() {
        return organizations;
    }

    public void setOrganizations(List<String> organizations) {
        this.organizations = organizations;
    }

    public String getMenuName() {
        return menuName;
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getOrganizationCode() {
        return organizationCode;
    }

    public void setOrganizationCode(String organizationCode) {
        this.organizationCode = organizationCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sendTime", getSendTime())
            .append("sendStatus", getSendStatus())
            .append("describe", getDescribeInfo())
            .append("isTiming", getIsTiming())
            .append("menuNumber", getMenuNumber())
            .append("beginDate", getBeginDate())
            .append("endDate", getEndDate())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("organizationCode", getOrganizationCode())
            .toString();
    }
}
